.profile-view-container {
  height: 100%;
  width: 100%;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;

  .search-container {
    display: flex;
    align-items: center;
    gap: 30px;
    width: 100%;

    .field {
      flex: 0 1;
      position: relative;


      ng-deep .mdc-switch.mdc-switch--selected:enabled .mdc-switch__handle::after {
        background: #35bb72;
      }

      ng-deep .mdc-switch:enabled .mdc-switch__track::after {
        background: #c0f5d5;
      }

      ng-deep .mdc-switch__ripple {
        display: none;
      }

      label.floating {
        position: absolute;
        top: -6px;
        left: 5px;
        background: white;
        padding: 0 10px;
        font-size: 12px;
      }

      input {
        border-radius: 8px;
        height: 10px;
        padding: 20px 10px;
        border: 1px solid #EAECF0;
      }
    }
  }

  .card {
    margin: 10px auto;
    padding: 10px 0;
    width: 1050px;
    display: flex;
    flex-direction: column;
    align-items: center;
    background-color: white;
    box-shadow: 0 3px 30px 0 rgba(0, 0, 0, 0.2), 0 1px 50px 0 rgba(0, 0, 0, 0.19);
    border-radius: 20px;
    padding-left: 10px;

    table {
      padding: 20px;
      width: 99%;
      border-collapse: collapse;

      tr:first-of-type {
        height: 40px;
        border-bottom: 1px solid #EAECF0;
      }

      th {
        text-align: start;
        padding: 0 30px;
      }

      td {
        padding: 10px 30px;
        font-size: 14px;

        .availability-badge {
          width: 120px;
          text-align: center;
          padding: 8px 15px;
          border-radius: 16px;

          &.available {
            color: #027A48;
            background: #ECFDF3;
          }

          &.unavailable {
            color: #344054;
            background: #F2F4F7;
          }
        }
      }
    }
  }
}
